<?php
if ( !defined('ABSPATH')) exit; // Exit if accessed directly
/**
 *   The template for displaying Author Archive pages.
 */
/*! ** DO NOT EDIT THIS FILE! It will be overwritten when the theme is updated! ** */

	$sb_layout = weaverx_page_lead( 'author', true );

	// and next the content area.
	weaverx_sb_precontent('author');

	// generate page content

	if ( have_posts() ) {

		/* Queue the first post, that way we know
		 * what author we're dealing with (if that is the case).
		 *
		 * We reset this later so we can run the loop
		 * properly with a call to rewind_posts().
		 */
		the_post();

		$title = '<span class="author-title-label">' .  sprintf( __( 'Author Archives: %s','weaver-xtreme') ,
				'</span><span class="vcard archive-info"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) .
				'" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a></span>' ); ?>


		<header class="page-header archive-title">
			<?php weaverx_archive_title( $title, 'author' , ' author'); ?>
		</header>

		<?php
		/* Since we called the_post() above, we need to
		 * rewind the loop back to the beginning that way
		 * we can run the loop properly, in full.
		 */
		rewind_posts();

		weaverx_content_nav( 'nav-above' );

		weaverx_author_info();

		/* Start the Loop */

		weaverx_post_count_clear();
		weaverx_masonry('begin-posts');
		while ( have_posts() ) {
			the_post();
			weaverx_post_count_bump();
			weaverx_masonry('begin-post');
			/* Include the Post-Format-specific template for the content.
			* If you want to overload this in a child theme then include a file
			* called content-___.php (where ___ is the Post Format name) and that will be used instead.
			*/
			get_template_part( 'templates/content', get_post_format() );
			weaverx_masonry('end-post');
		}
		weaverx_masonry('end-posts');
		weaverx_content_nav( 'nav-below' );

	} else {
		weaverx_not_found_search(__FILE__);
	}

	weaverx_sb_postcontent('author');

	weaverx_page_tail( 'author', $sb_layout );    // end of page wrap
?>
